Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 467582 - packagekit libnotify box lists all arches for updates
Summary: packagekit libnotify box lists all arches for updates
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: PackageKit
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Robin Norwood
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F10DesktopTarget
TreeView+ depends on / blocked
 
Reported: 2008-10-18 21:17 UTC by James Antill
Modified: 2008-10-27 13:02 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-10-27 13:02:22 UTC


Attachments (Terms of Use)

Description James Antill 2008-10-18 21:17:41 UTC
Description of problem:
 The notify box from the panel lists all arches for updates (but without specifying the arches) ... so you get things like:

cups
cups-libs
blah
cups-libs
cups

...it'd also be nice to sort the result.

Version-Release number of selected component (if applicable):
PackageKit.x86_64                             0.3.7-1.fc10             installed
PackageKit-browser-plugin.x86_64              0.3.7-1.fc10             installed
PackageKit-docs.x86_64                        0.3.7-1.fc10             installed
PackageKit-gstreamer-plugin.x86_64            0.3.7-1.fc10             installed
PackageKit-libs.x86_64                        0.3.7-1.fc10             installed
PackageKit-udev-helper.x86_64                 0.3.7-1.fc10             installed
PackageKit-yum.x86_64                         0.3.7-1.fc10             installed
PackageKit-yum-plugin.x86_64                  0.3.7-1.fc10             installed
gnome-packagekit.x86_64                       0.3.7-1.fc10             installed

Comment 1 Richard Hughes 2008-10-24 09:56:47 UTC
Good catch, I only have x64 packages on my 64 bit box.

commit 3c284cc88ffb3ba406d3e95b6cd84b9324b30c81
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Oct 24 10:54:52 2008 +0100

    bugfix: filter out the same package with multiple architectures from the security popop. Fixes the second half of #467582

:100644 100644 66218bf... 7d6a22f... M  src/gpk-check-update.c

commit 1bf261d48b9185292c3dc8f18ff4ad5e0dd786ae
Author: Richard Hughes <richard@hughsie.com>
Date:   Fri Oct 24 10:45:05 2008 +0100

    bugfix: when we process the update list, sort it by the package name. Fixes one half of rh#467582

Could you try with gnome-packagekit from git master and tell me if that fixes things please? Thanks.


Note You need to log in before you can comment on or make changes to this bug.